Index: berusky2/src/komat/Matrix.h
===================================================================
--- berusky2.orig/src/komat/Matrix.h
+++ berusky2/src/komat/Matrix.h
@@ -7,7 +7,7 @@
 // vynuluje matici
 inline GLMATRIX *zero_matrix(GLMATRIX * m)
 {
-  memset(m, 0, sizeof(*m));
+  memset((void *) m, 0, sizeof(*m));
   return (m);
 }
 
@@ -350,11 +350,7 @@ inline GLMATRIX *invert_matrix(GLMATRIX
   inv->_13 = src->_12 * src->_23 - src->_13 * src->_22;
 
   det = inv->_11 * src->_11 + inv->_12 * src->_21 + inv->_13 * src->_31;
-  if (det == 0.0f) {
-    // we're not very happy with the source matrix ;-)
-    memset(inv, 0, sizeof(*inv));
-    return (NULL);
-  }
+  assert(det);
 
   inv->_21 = -src->_21 * src->_33 + src->_23 * src->_31;
   inv->_22 = src->_11 * src->_33 - src->_13 * src->_31;
@@ -400,10 +396,7 @@ inline GLMATRIX *invert_matrix_copy(GLMA
   m._12 = -src->_12 * src->_33 + src->_13 * src->_32;
   m._13 = src->_12 * src->_23 - src->_13 * src->_22;
   det = m._11 * src->_11 + m._12 * src->_21 + m._13 * src->_31;
-  if (det == 0) {
-    memset(inv, 0, sizeof(*inv));
-    return (NULL);
-  }
+  assert(det);
   m._21 = -src->_21 * src->_33 + src->_23 * src->_31;
   m._22 = src->_11 * src->_33 - src->_13 * src->_31;
   m._23 = -src->_11 * src->_23 + src->_13 * src->_21;
Index: berusky2/src/komat/json_export.cpp
===================================================================
--- berusky2.orig/src/komat/json_export.cpp
+++ berusky2/src/komat/json_export.cpp
@@ -594,7 +594,9 @@ void json_export_light(STATIC_LIGHT * p_
 void json_export_lightmap(int num, bitmapa *p_bmp)
 {
   char file[MAX_FILENAME];
-  sprintf(file,"%s/%s_%d.bmp",export_level_dir,"lightmap",num);
+  int ret = snprintf(file,sizeof(file),"%s/%s_%d.bmp",
+		     export_level_dir,"lightmap",num);
+  assert(ret < (int) sizeof(file));
   bmp_uloz(file, p_bmp);
 }
 
@@ -674,9 +676,12 @@ void json_export_level(LEVELINFO * p_Lev
 
 void json_export_start(char *p_file)
 {
-  if(!export_file) {    
+  if(!export_file) {
+    char *ret;
     export_file = fopen(p_file,"w");
-    getcwd(export_level_dir,MAX_FILENAME);
+    assert(export_file);
+    ret = getcwd(export_level_dir,MAX_FILENAME);
+    assert(ret);
   }
 }
 
Index: berusky2/src/komat/obbo.cpp
===================================================================
--- berusky2.orig/src/komat/obbo.cpp
+++ berusky2/src/komat/obbo.cpp
@@ -415,7 +415,7 @@ float obb_calc_obalka_obj(EDIT_OBJEKT *
 
 void obb_prvek(OBB_OLD * p_obb)
 {
-  memset(p_obb, 0, sizeof(p_obb[0]));
+  memset((void *) p_obb, 0, sizeof(p_obb[0]));
   vektor_set_all(p_obb->obb, 1, 0, 0);
   vektor_set_all(p_obb->obb + 1, 0, 1, 0);
   vektor_set_all(p_obb->obb + 2, 0, 0, 1);
@@ -894,7 +894,7 @@ void obbtree_vyrob(OBB_TREE_OLD * p_prvn
 
   p_mat = p_matlist;
 
-  memset(p_prvni, 0, sizeof(p_prvni[0]));
+  memset((void *) p_prvni, 0, sizeof(p_prvni[0]));
   p_prvni->p_item =
     (OBB_TREE_ITEM_OLD *) mmalloc(sizeof(p_prvni->p_item[0]) * itnum);
   p_prvni->itnum = itnum;
@@ -991,7 +991,7 @@ void obbtree_vyrob_rec(OBB_TREE_OLD * p_
     return;
 
   memset(p_tmp_item, 0, sizeof(p_tmp_item[0]) * itemnum);
-  memset(p_obalky, 0, sizeof(p_obalky[0]) * itemnum);
+  memset((void *) p_obalky, 0, sizeof(p_obalky[0]) * itemnum);
   memset(p_hits, 0, sizeof(p_hits[0]) * itemnum);
   memset(p_lhits, 0, sizeof(p_lhits[0]) * itemnum);
 
Index: berusky2/src/tmp/alut_test.cpp
===================================================================
--- berusky2.orig/src/tmp/alut_test.cpp
+++ berusky2/src/tmp/alut_test.cpp
@@ -29,6 +29,7 @@
 #include <stdlib.h>
 #include <AL/alut.h>
 #include "compat_mini.h"
+#include "adas.h"
 
 #define NUM_BUFFERS 3
 #define NUM_SOURCES 3
@@ -71,17 +72,17 @@ void init(int ini)
       kerror(TRUE, "- Error creating buffers !!\n");
   }
     
-  alutLoadWAVFile(reinterpret_cast<ALbyte*>(const_cast<char *>(HOME_DIR"1.wav")),&format,&data,&size,&freq,0);
+  adasLoadWAVFile(HOME_DIR"1.wav", &format,&data,&size,reinterpret_cast<ALuint*>(&freq),0);
   alBufferData(buffer[0],format,data,size,freq);
-  alutUnloadWAV(format,data,size,freq);
+  adasUnloadWAV(format,data,size,freq);
   
-  alutLoadWAVFile(reinterpret_cast<ALbyte*>(const_cast<char *>(HOME_DIR"2.wav")),&format,&data,&size,&freq,0);
+  adasLoadWAVFile(HOME_DIR"2.wav", &format,&data,&size,reinterpret_cast<ALuint*>(&freq),0);
   alBufferData(buffer[1],format,data,size,freq);
-  alutUnloadWAV(format,data,size,freq);
+  adasUnloadWAV(format,data,size,freq);
 
-  alutLoadWAVFile(reinterpret_cast<ALbyte*>(const_cast<char *>(HOME_DIR"3.wav")),&format,&data,&size,&freq,0);
+  adasLoadWAVFile(HOME_DIR"3.wav", &format,&data,&size,reinterpret_cast<ALuint*>(&freq),0);
   alBufferData(buffer[2],format,data,size,freq);
-  alutUnloadWAV(format,data,size,freq);
+  adasUnloadWAV(format,data,size,freq);
 
   alGetError(); /* clear error */
   alGenSources(NUM_SOURCES, source);
Index: berusky2/src/tmp/compat.cpp
===================================================================
--- berusky2.orig/src/tmp/compat.cpp
+++ berusky2/src/tmp/compat.cpp
@@ -675,7 +675,8 @@ char current_working_dir_file[MAX_FILENA
 
 void working_dir_init(void)
 {
-  getcwd(current_working_dir, MAX_FILENAME);
+  char *ret = getcwd(current_working_dir, MAX_FILENAME);
+  assert(ret);
 }
 
 char *working_file_get(const char *p_file)
Index: berusky2/src/tmp/compat.h
===================================================================
--- berusky2.orig/src/tmp/compat.h
+++ berusky2/src/tmp/compat.h
@@ -258,8 +258,6 @@ inline void null_free(void **p_mem)
   }
 }
 
-char * apak_dir_correction(char *dir);
-
 wchar_t *wchar_windows_to_linux(word * p_in, int bytes_in_len);
 void wchar_windows_to_linux(word * p_in, int str_len, wchar_t * p_out);
 void wchar_linux_to_windows(wchar_t * p_in, int str_len, word * p_out);
